QGIS Application - Bug report #10458
Print composer: migration issue between 2.4 and current master
2014-06-04 06:32 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18870
Description

With QGIS master there is now an image placement option in the print composer. This is great and | think the top-left anchor makes
sense.

However, there is a migration issue for old content migrated from 2.4. where the image had a middle anchor by default. The result is that
images may appear shifted after opening them in current master. To see the problem have a look at the attached screenshot and the

Uster logo in the top-right of the layout. In master (right) the image appears vertically closer to the rectangle as in version 2.4.

Could we keep top-left as the default for new elements, but when opening old project files automatically set middle as an anchor?

Associated revisions

Revision 6b973e1c - 2014-06-07 05:34 AM - Nyall Dawson

[composer] When opening pre 2.3 projects keep picture item placement at middle (fix #10458)

History

#1 - 2014-06-06 08:32 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"6b973e1c3e9e31ae9e5f30b67da7484528cha653".

Files

image_migration_issue.png 415KB 2014-06-04 Andreas Neumann

2025-12-15 1/1




